<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>org.wfc</groupId>
        <artifactId>wfc-modules</artifactId>
        <version>1.0.13</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>wfc-modules-user</artifactId>

    <description>
        wfc-modules-user 用户平台模块
    </description>

    <dependencies>

        <!-- SpringCloud Alibaba Nacos -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Nacos Config -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Sentinel -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
        </dependency>

        <!-- SpringBoot Actuator -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!-- Mysql Connector -->
        <dependency>
            <groupId>com.mysql</groupId>
            <artifactId>mysql-connector-j</artifactId>
        </dependency>

        <!-- WFC Common DataSource -->
        <dependency>
            <groupId>org.wfc</groupId>
            <artifactId>wfc-common-datasource</artifactId>
        </dependency>

        <!-- WFC Common Log -->
        <dependency>
            <groupId>org.wfc</groupId>
            <artifactId>wfc-common-log</artifactId>
        </dependency>

        <!-- WFC Common Swagger -->
        <dependency>
            <groupId>org.wfc</groupId>
            <artifactId>wfc-common-swagger</artifactId>
        </dependency>

        <!-- WFC Api User -->
        <dependency>
            <groupId>org.wfc</groupId>
            <artifactId>wfc-api-user</artifactId>
        </dependency>

        <!-- WFC Api Omada -->
        <dependency>
            <groupId>org.wfc</groupId>
            <artifactId>wfc-api-omada</artifactId>
        </dependency>

        <!-- MybatisPlus -->
        <dependency>
            <groupId>org.wfc</groupId>
            <artifactId>wfc-common-mybatis</artifactId>
        </dependency>

        <!-- 单元测试 -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- mapstruct -->
        <dependency>
            <groupId>org.mapstruct</groupId>
            <artifactId>mapstruct</artifactId>
        </dependency>

        <dependency>
            <groupId>org.wfc</groupId>
            <artifactId>wfc-common-mail</artifactId>
        </dependency>
    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
   
</project>